Skip to content

Notifications

Use these endpoints for interacting with Notifications.

List Notifications

Request

This endpoint lists all notifications for a customer. You can filter by status (READ or UNREAD).

It returns a paginated list of CustomerNotification objects.

Security
CodeBearer(Required scopes: notifications.read)
Query
statusNotificationStatus (string) or null(Status)
Any of:
string(NotificationStatus)
Enum:"READ""UNREAD"
cursorstring(Cursor)
Default:""
limitinteger, [ 1 .. 100 ](Limit)
Default:100
curl -i -X GET \
  'https://api.business.jiko.io/api/v1/notifications/?status=READ&cursor=&limit=100' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Successful Response

Bodyapplication/json
prev_pagestring or null(Prev Page)
Any of:
string
next_pagestring or null(Next Page)
Any of:
string
itemsArray of objects(Items)required
object_typestring(Object Type)
Default:"CursorList"
Response
{ "prev_page": "string", "next_page": "string", "items": [ {} ], "object_type": "CursorList" }